coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH] build: update gnulib for syntax-check improvement


From: Eric Blake
Subject: [PATCH] build: update gnulib for syntax-check improvement
Date: Tue, 29 Nov 2011 16:13:33 -0700

Commit 5b3e538 proved useful enough to migrate to gnulib after
enhancing it to be more generic, which in turn pointed out that
commit a2c811db missed an offender.

* gnulib: Update to latest.
* cfg.mk (sc_prohibit_reversed_compare_failure): Delete, now that
gnulib provides it.
* tests/ls/dangle: Fix last offender.
---
 cfg.mk          |    6 ------
 gnulib          |    2 +-
 tests/ls/dangle |    4 ++--
 3 files changed, 3 insertions(+), 9 deletions(-)

diff --git a/cfg.mk b/cfg.mk
index 3c42d5d..0626f48 100644
--- a/cfg.mk
+++ b/cfg.mk
@@ -280,12 +280,6 @@ sc_prohibit_framework_failure:
        halt='use framework_failure_ instead'                           \
          $(_sc_search_regexp)

-# In tests, use "compare expected actual", not the reverse.
-sc_prohibit_reversed_compare_failure:
-       @prohibit='\<compare [^ ]+ (exp|/dev/null)'                     \
-       halt='reversed compare arguments'                               \
-         $(_sc_search_regexp)
-
 ###########################################################
 _p0 = \([^"'/]\|"\([^\"]\|[\].\)*"\|'\([^\']\|[\].\)*'
 _pre = $(_p0)\|[/][^"'/*]\|[/]"\([^\"]\|[\].\)*"\|[/]'\([^\']\|[\].\)*'\)*
diff --git a/gnulib b/gnulib
index 908690c..a5f6df2 160000
--- a/gnulib
+++ b/gnulib
@@ -1 +1 @@
-Subproject commit 908690cb743e69c73b42ae310807b29800c8764b
+Subproject commit a5f6df2b1f3f0fdc73635de3ad285d21703dab18
diff --git a/tests/ls/dangle b/tests/ls/dangle
index c85835f..5892630 100755
--- a/tests/ls/dangle
+++ b/tests/ls/dangle
@@ -52,11 +52,11 @@ compare exp out || fail=1
 # Ensure that ls -Li prints "?" as the inode of a dangling symlink.
 rm -f out
 ls -Li d > out 2>/dev/null && fail=1
-compare out subdir_Li_exp || fail=1
+compare subdir_Li_exp out || fail=1

 # Ensure that ls -Ls prints "?" as the allocation of a dangling symlink.
 rm -f out
 ls -Ls d > out 2>/dev/null && fail=1
-compare out subdir_Ls_exp || fail=1
+compare subdir_Ls_exp out || fail=1

 Exit $fail
-- 
1.7.7.3




reply via email to

[Prev in Thread] Current Thread [Next in Thread]